#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Sat Jan 26 20:49:32 2019

@author: adityamenon
"""

'''Lattice plot for Responses'''
from __future__ import division
import seaborn as sns
import matplotlib.pyplot as plt
import pandas as pd
sns.set(style="ticks")

dataset = pd.read_excel('PU training dataset.xlsx', sheet_name='Lattice Plot')


g = sns.PairGrid(dataset)
g.map_upper(plt.scatter)
g.map_lower(sns.kdeplot)
g.map_diag(sns.kdeplot, lw=2, legend=False);

g.savefig('Response_lattice_plot.png', dpi=600, bbox_inches="tight")